<?
	$ENTspace = array("&nbsp;", "&nbsp"); // Замена неразрывных пробелов
	
	/* Добавление сотрудника */
	if ($GroupCheck != 'user' and $nCRMureg =='on' or $GroupCheck == 'admin') { 
		if( isset( $_POST['UserAdd'] ) ) {
			$formUserId 		= newID('users','users','user');
		
			$formUserLogin 		= $_POST["inputLogin"];
			$formUserPhoto 		= $_POST["inputFile"];
			$formUserPassword 	= md5(md5($_POST["inputPasswordNew"]).md5($folder));
			$formUserName 		= $_POST["inputName"];
			$formUserSurName 	= $_POST["inputSurName"];
			$formUserGroup 		= $_POST["selectGroup"];
			$formUserPosition 	= $_POST["inputPosition"];
			$formUserEmail 		= $_POST["inputEmail"];
			$formUserPhoneW 	= $_POST["inputPhoneW"];
			$formUserPhone 		= $_POST["inputPhone"];
			$formUserSocial 	= $_POST["inputSocial"];

			# Загрузка фотографии сотрудника #
			if($_FILES['inputFile']['tmp_name']) {
				$path = './crmdata/upload/_user-photo/';								// Путь загрузки файла
				$tmp_path = './tmp/';											// Путm загрузки временных файлов
				$types = array('image/gif', 'image/png', 'image/jpeg');		// Массив допустимых значений типа файла 'image/gif', 'image/png', 
				$size = 1048576; 											// Максимальный размер файла - 1 мб
				if($_SERVER['REQUEST_METHOD'] == 'POST' and $_FILES['inputFile']['size'] < $size and in_array($_FILES['inputFile']['type'], $types)) {
					require_once(ROOT . 'functions/func-upload-photo.php');
					$name 		= resize($_FILES['inputFile'], $_POST['file_type'], $_POST['file_rotate']);
					$newname 	= $aliases_arr[1] . '_' . $formUserLogin . '.' . $ext;
					if (!@copy($tmp_path . $name, $path . $newname)) 		// Загрузка файла и вывод сообщения
						echo '';
					else
						echo ''; 											//<p>Загрузка прошла удачно <a href="' . $path . $newname . '">Посмотреть</a>.</p>
					unlink($tmp_path . $name);								// Удаляем временный файл
				}
			}
			
			$dom = new DOMDocument; 
			$dom->load($baseU);
			$xpath = new DOMXPath($dom);
			
			$CheckLogin = $xpath->query('/users/user[@login="'.$formUserLogin.'"]');
			$CheckEmail = $xpath->query('/users/user[useremail="'.$formUserEmail.'"]');
			
			if($CheckLogin->length < 1 AND $CheckEmail->length < 1 ){
				$users=$xpath->query('/users')->item(0);
				$user = $dom->createElement('user');
				$attribute1 = $dom->createAttribute("id");
				$attribute2 = $dom->createAttribute("login");
				$attribute3 = $dom->createAttribute("password");
				$attribute4 = $dom->createAttribute("group");
				$attribute1->value = $formUserId;
				$user->appendChild($attribute1);
				$attribute2->value = $formUserLogin;
				$user->appendChild($attribute2);
				$attribute3->value = $formUserPassword;
				$user->appendChild($attribute3);
				$attribute4->value = $formUserGroup;
				$user->appendChild($attribute4);
				$user->appendChild($dom->createElement('userphoto', $newname));
				$user->appendChild($dom->createElement('username', $formUserName));
				$user->appendChild($dom->createElement('usersurname', $formUserSurName));
				$user->appendChild($dom->createElement('useremail', $formUserEmail));
				$user->appendChild($dom->createElement('userposition', $formUserPosition));
				$user->appendChild($dom->createElement('userphonew', $formUserPhoneW));
				$user->appendChild($dom->createElement('userphone', $formUserPhone));
				$user->appendChild($dom->createElement('usersocial', $formUserSocial));
				$user->appendChild($dom->createElement('uip', $sessionIP));
				$users->appendChild($user);
				$dom->save($baseU);
		
				// Добавление лога
				new_log("Добавление сотрудника: $formUserSurName $formUserName");
				
				# Отправка уведомления о регистрации #
				$subject 	= "CRM система. Вы зарегистрированы";
				$message 	= '
					<h2>Здравствуйте, '. $formUserName .'!</h2>
					<p>Вас зарегистрировали в CRM системе <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
					<p>Для авторизации Вы можете использовать следующие данные:</p>
					<p>Логин: <b>'. $_POST["inputLogin"] .'</b></p>
					<p>Пароль: <b>'. $_POST["inputPasswordNew"] .'</b></p>
					<br/>
					<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
					<br/>
					<p>Хорошего дня и отличного настроения!</p>
				';
				send_email($formUserEmail, "CRM система", $subject, $message);
				$notices[] = 'Сотрудник успешно добавлен';
			} else {
				$notices_er[] = 'Логин или email уже успользуется';
			}
		}
	}
	
	/* Редактирование сотрудника */
	if( isset( $_POST['UserEdit'] ) ) {
		$oldUserId 			= $_POST["inputId"];
		$newUserId 			= $_POST["inputId"];
		$newUserLogin 		= $_POST["inputLogin"];
		if( $_POST["inputPasswordNew"] != '' ) {
			$newUserPassword 	= md5(md5($_POST["inputPasswordNew"]).md5($folder));
		} else {
			$newUserPassword 	= $_POST["inputPassword"];
		}
		$newUserName 		= $_POST["inputName"];
		$newUserSurName 	= $_POST["inputSurName"];
		$newUserGroup 		= $_POST["selectGroup"];
		$newUserPosition 	= $_POST["inputPosition"];
		$newUserEmail 		= $_POST["inputEmail"];
		$newUserPhoneW 		= $_POST["inputPhoneW"];
		$newUserPhone 		= $_POST["inputPhone"];
		$newUserSocial 		= $_POST["inputSocial"];

		# Загрузка фотографии сотрудника #
		if($_FILES['inputFile']['tmp_name']) {
			
			$UserPhotoFile 	=  ROOT . '/crmdata/upload/_user-photo/' . $_POST["inputPhoto"];
			if (file_exists($UserPhotoFile) and $_POST["inputPhoto"] != '') {
				unlink($UserPhotoFile);
			}
			
			$path = './crmdata/upload/_user-photo/';								// Путь загрузки файла
			$tmp_path = './tmp/';											// Путm загрузки временных файлов
			$types = array('image/gif', 'image/png', 'image/jpeg');				// Массив допустимых значений типа файла 'image/gif', 'image/png', 
			$size = 1048576; 	 							// Максимальный размер файла - 1 мб
			if($_SERVER['REQUEST_METHOD'] == 'POST' and $_FILES['inputFile']['size'] < $size and in_array($_FILES['inputFile']['type'], $types)) {
				require_once(ROOT . 'functions/func-upload-photo.php');
				$name 		= resize($_FILES['inputFile'], $_POST['file_type'], $_POST['file_rotate']);
				$newname 	= $aliases_arr[1] . '_' . $newUserLogin . '.' . $ext;
				if (!@copy($tmp_path . $name, $path . $newname)) 		// Загрузка файла и вывод сообщения
					echo '';
				else
					$newUserPhoto = $newname;
					echo ''; 											//<p>Загрузка прошла удачно <a href="' . $path . $newname . '">Посмотреть</a>.</p>
				unlink($tmp_path . $name);								// Удаляем временный файл
			}
		} else {
			$newUserPhoto = $_POST["inputPhoto"];
		}
		
		$parent = new DomDocument;
		$parent_node = $parent->createElement('user');
		$attribute1 = $parent->createAttribute("id");
		$attribute2 = $parent->createAttribute("login");
		$attribute3 = $parent->createAttribute("password");
		$attribute4 = $parent->createAttribute("group");
		$attribute1->value = $newUserId;
		$parent_node->appendChild($attribute1);
		$attribute2->value = $newUserLogin;
		$parent_node->appendChild($attribute2);
		$attribute3->value = $newUserPassword;
		$parent_node->appendChild($attribute3);
		$attribute4->value = $newUserGroup;
		$parent_node->appendChild($attribute4);
		$parent_node->appendChild($parent->createElement('userphoto', $newUserPhoto));
		$parent_node->appendChild($parent->createElement('username', $newUserName));
		$parent_node->appendChild($parent->createElement('usersurname', $newUserSurName));
		$parent_node->appendChild($parent->createElement('useremail', $newUserEmail));
		$parent_node->appendChild($parent->createElement('userposition', $newUserPosition));
		$parent_node->appendChild($parent->createElement('userphonew', $newUserPhoneW));
		$parent_node->appendChild($parent->createElement('userphone', $newUserPhone));
		$parent_node->appendChild($parent->createElement('usersocial', $newUserSocial));
		$parent_node->appendChild($parent->createElement('uip', $sessionIP));
		$parent->appendChild($parent_node);
		$dom = new DomDocument;
		$dom->load($baseU);
		$xpath = new DOMXpath($dom);
		$nodelist = $xpath->query('/users/user[@id="'.$oldUserId.'"]');
		$oldnode = $nodelist->item(0);
		$newnode = $dom->importNode($parent->documentElement, true);
		$oldnode->parentNode->replaceChild($newnode, $oldnode);
		$dom->save($baseU);
		
		// Добавление лога
		new_log("Редактирование данных сотрудника: $newUserSurName $newUserName");

		$notices[] = 'Данные сотрудника сохранены';
	}
	
	/* Удаление сотрудника */
	if( isset( $_POST['userDelete'] ) ) {
		$dom = new DOMDocument; 
		$dom->load($baseU);
		$xpath = new DOMXPath($dom); 
		
		$id = $_POST["userDelId"];
		$UserName 		= $xpath->query('/users/user[@id="'. $id .'"]')->item(0)->getElementsByTagName("username")->item(0)->nodeValue;
		$UserSurName 	= $xpath->query('/users/user[@id="'. $id .'"]')->item(0)->getElementsByTagName("usersurname")->item(0)->nodeValue;
		$UserLogin		= $xpath->query('/users/user[@id="'.$id.'"]')->item(0)->getAttribute('login');
		$UserPhoto 		= $xpath->query('/users/user[@id="'. $id .'"]')->item(0)->getElementsByTagName("userphoto")->item(0)->nodeValue;
		$UserPhotoFile 	= ROOT . '/crmdata/upload/_user-photo/' . $aliases_arr[1] . '_' . $UserLogin;
		if (file_exists($UserPhotoFile)) {
			unlink($UserPhotoFile);
		}
		$users = $xpath->query('/users/user[@id="'.$id.'"]');
		$el = $users->item(0);
		$el->parentNode->removeChild($el);
		$dom->save($baseU);
		
		// Удаление Загрузок
		$dir 	= 	ROOT . 'crmdata/upload/' . $aliases_arr[1] . '_'.$id;
		if (is_dir($dir)) {
			$files = glob($dir."/*");
			foreach ($files as $file) {      
				if (file_exists($file)) {
					unlink($file);
				}   
			}
			rmdir($dir);
		}
		
		// Добавление лога
		new_log("Удаление сотрудника: $UserSurName $UserName");

		$notices[] = 'Сотрудник успешно удален';
	}
	
	/* Удаление фото */
	if( isset( $_POST['DelPhoto'] ) ) {
		$dom = new DOMDocument; 
		$dom->load($baseU);
		$xpath = new DOMXPath($dom); 
		
		$id = $_POST["inputId"];
		$UserPhoto 		= $xpath->query('/users/user[@id="'. $id .'"]')->item(0)->getElementsByTagName("userphoto")->item(0)->nodeValue='';
		$UserPhotoFile 	= ROOT . '/crmdata/upload/_user-photo/' . $aliases_arr[1] . '_' . $UserLogin;
		if (file_exists($UserPhotoFile)) {
			unlink($UserPhotoFile);
		}
		$dom->save($baseU);

		// Добавление лога
		new_log("Удаление фото сотрудника: $UserSurName $UserName");

		$notices[] = 'Фото успешно удалено';
	}
	
	
/* Добавление задачи */
	if( isset( $_POST['TaskAdd'] ) ) {
		$formTaskId 		= newID('tasks','tasks','task');
		$formTaskParent 	= '';
		$formTaskName 		= $_POST["inputName"];
		$formTaskType 		= $_POST["selectType"];
		$formTaskComment 	= '';
		$formTaskDeal 		= $_POST["selectDeal"];
		$formTaskUser 		= get_user_login($_GET["view"]);
		if($_POST["selectUser"] == $LoginCheck){
			$formTaskUserS 		= '';
		} else {
			$formTaskUserS 		= $LoginCheck;
		}
		$formTaskDateStart 	= date("Y-m-d");
		$formTaskDateEnd 	= $_POST["inputDateEnd"];
		$formTaskPriority 	= '';
		$formTaskLink 		= '';
		$formTaskStatus 	= 'inwork';
		$formTaskPercent 	= '0';
		
		$dom = new DOMDocument; 
		$dom->load($baseT);
		$xpath = new DOMXPath($dom);
		$tasks=$xpath->query('/tasks')->item(0);
		$task = $dom->createElement('task');
		$attribute1 = $dom->createAttribute("id");
		$attribute2 = $dom->createAttribute("parent");
		$attribute3 = $dom->createAttribute("status");
		$attribute4 = $dom->createAttribute("deligated");
		$attribute5 = $dom->createAttribute("deal");
		$attribute6 = $dom->createAttribute("priority");
		$attribute7 = $dom->createAttribute("percent");
		$attribute8 = $dom->createAttribute("type");
		$attribute1->value = $formTaskId;
		$task->appendChild($attribute1);
		$attribute2->value = $formTaskParent;
		$task->appendChild($attribute2);
		$attribute3->value = $formTaskStatus;
		$task->appendChild($attribute3);
		$attribute4->value = $formTaskUser;
		$task->appendChild($attribute4);
		$attribute5->value = $formTaskDeal;
		$task->appendChild($attribute5);
		$attribute6->value = $formTaskPriority;
		$task->appendChild($attribute6);
		$attribute7->value = $formTaskPercent;
		$task->appendChild($attribute7);
		$attribute8->value = $formTaskType;
		$task->appendChild($attribute8);
		$task->appendChild($dom->createElement('taskname', $formTaskName));
		$task->appendChild($dom->createElement('supervisor', $formTaskUserS));
		$task->appendChild($dom->createElement('comment', ''));
		$task->appendChild($dom->createElement('datestart', $formTaskDateStart));
		$task->appendChild($dom->createElement('dateend', $formTaskDateEnd));
		$task->appendChild($dom->createElement('link', $formTaskLink));
		$task->appendChild($dom->createElement('timeinwork', ''));
		$task->appendChild($dom->createElement('uip', $sessionIP));
		$tasks->appendChild($task);
		$dom->save($baseT);
		
		// Добавление файла с комментарием
		$taskDir = ROOT . 'crmdata/upload/tasks_'.$formTaskId;
		$taskFile = $taskDir . '/page_description.xml';
		if (!is_dir($taskDir)){
			mkdir($taskDir);
			file_put_contents($taskFile,'<?xml version="1.0" encoding="utf-8"?><item type="documentary"><text></text></item>');
		} else {
			file_put_contents($taskFile,'<?xml version="1.0" encoding="utf-8"?><item type="documentary"><text></text></item>');
		}
		
		// Добавление лога
		new_log("Добавление задачи: $formTaskName");
		
		if( $_POST["selectUser"] != '' and $auth->getLogin() != $_POST["selectUser"]) {
			# Отправка уведомления о новой задаче #
			$doc = new DOMDocument;
			$doc->load($baseU);
			$xpath = new DOMXPath($doc);
			$UserEmail = $xpath->query('/users/user[@login="'. $formTaskUser .'"]')->item(0)->getElementsByTagName("useremail")->item(0)->nodeValue;
			$UserName = $xpath->query('/users/user[@login="'. $formTaskUser .'"]')->item(0)->getElementsByTagName("username")->item(0)->nodeValue;
			
			if (file_exists($baseD) and file_exists($fileD)) {
				$doc = new DOMDocument;
				$doc->load($baseD);
				$xpath = new DOMXPath($doc);
				$deals = $xpath->query('/deals/deal[@id="'. $formTaskDeal .'"]');
				for ($i = 0; $i < $deals->length; $i++) {
					$formTaskDealN = $xpath->query('/deals/deal[@id="'. $formTaskDeal .'"]')->item($i)->getElementsByTagName("dealnumber")->item(0)->nodeValue;
				}
			}
			if($formTaskDeal != ''){$taskDeal = $formTaskDealN;} else {$taskDeal = '- не указана -';}
			if($formTaskDateEnd != ''){$taskDateEnd = 'до ' . $formTaskDateEnd;} else {$taskDateEnd = '- не указан -';}
			if($formTaskPriority == 'none'){$taskPriority = 'отсутствует';}  elseif($formTaskPriority == 'low'){$taskPriority = 'низкая';} elseif($formTaskPriority == 'medium'){$taskPriority = 'средняя';} else {$taskPriority = 'высокая';}
			$subject 	= "CRM система. Вам делегирована задача";
			$message 	= '
				<h2>Здравствуйте, '. $UserName .'!</h2>
				<p>Вам делегирована задача "<b>'. $formTaskName .'</b>" (важность: <b>'. $taskPriority .'</b>)</p>
				<p>Срок выполнения: <b>'. $taskDateEnd .'</b>. Подробная информация доступна по <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/tasks/?view=' . $formTaskId . '" target="_blank">ссылке</a></p>
				<p><b>Комментарий:</b></p>'. $formTaskComment .'<br/>
				<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
				<br/>
				<p>Хорошего дня и отличного настроения!</p>
			';
			send_email($UserEmail, "CRM система", $subject, $message);
		}
		$notices[] = 'Задача успешно добавлена';
	}
	
	/* Отправка письма сотрудникам */
	if( isset( $_POST['SendMail'] ) ) {
		$formSenderName 	= $auth->getUserName() . ' ' . $auth->getUserSurName();
		$formRecipientMail 	= $_POST["selectUser"];
		$formCoppyMail  	= $_POST["selectUserCoppy"];
		$formSubject 		= $_POST["inputSubject"];
		$formComment 		= $_POST["inputComment"];
		$formDeal 			= $_POST["selectDeal"];
		$formTask 			= $_POST["selectTask"];
		
		if($formCoppyMail != ''){
			$formEmail = $formRecipientMail.', '.$formCoppyMail;
		} else {
			$formEmail = $formRecipientMail;
		}
		
		# Отправка письма #
		$subject 	= $formSubject;
		$message 	= '
			<h2>Здравствуйте!</h2>
			<p><b>'. $formSenderName .'</b> отправил вам сообщение:</p>
			<p>'. $formComment .'</p>
			<p>Сделка: "'.$formDeal.'"</p>
			<p>Задача: "'.$formTask.'"</p>
			<br/>
			<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
			<br/>
			<p>Хорошего дня и отличного настроения!</p>
		';
		send_email($formEmail, "CRM система", $subject, $message);
		
		// Добавление лога
		new_log("Отправка письма: $formRecipientMail");

		$notices[] = 'Письмо успешно отправлено';
	}
	
	/* Добавление отпуска */
	if( isset($_POST['AddVacation'])) {
		
		if(isset($_POST["inputDateStart"]) AND $_POST["inputDateStart"] != '' OR isset($_POST["inputDateStart"]) AND $_POST["inputDateStart"] != date("Y-m-d")){
			$formDateS = date("Y-m-d", strtotime($_POST["inputDateStart"]));
		} else {
			$formDateS = date("Y-m-d");
		}
		$formPeriod = $_POST['inputPeriod'] - 1;
		$formDateE = date("Y-m-d", strtotime("$formDateS +$formPeriod days"));
		
		$formDateY = date("Y", strtotime($formDateS));
		
		$formID 	= newID('vacations','vacations','vacation');
		$formUser 	= get_user_name_login($_POST["selectUser"],'');
		$formAgreed = get_user_name_login($_POST["selectAgreed"],'');

		$dom = new DOMDocument; 
		$dom->load($baseV);
		$xpath = new DOMXPath($dom);
		
		$vacations=$xpath->query('/vacations')->item(0);
		$vacation = $dom->createElement('vacation');
		$attribute1 = $dom->createAttribute("id");
		$attribute2 = $dom->createAttribute("user");
		$attribute3 = $dom->createAttribute("agreed");
		$attribute4 = $dom->createAttribute("type");
		$attribute5 = $dom->createAttribute("status");
		$attribute1->value = $formID;
		$vacation->appendChild($attribute1);
		$attribute2->value = $_POST["selectUser"];
		$vacation->appendChild($attribute2);
		$attribute3->value = $_POST["selectAgreed"];
		$vacation->appendChild($attribute3);
		$attribute4->value = $_POST["selectType"];
		$vacation->appendChild($attribute4);
		$attribute5->value = '-';
		$vacation->appendChild($attribute5);
		$vacation->appendChild($dom->createElement('nameU', get_user_name_login($_POST["selectUser"], '')));
		$vacation->appendChild($dom->createElement('dateS', $formDateS));
		$vacation->appendChild($dom->createElement('dateE', $formDateE));
		$vacation->appendChild($dom->createElement('datey', $formDateY));
		$vacation->appendChild($dom->createElement('com', str_replace($ENTspace, "&amp;#160;", $_POST["inputComm"])));
		$vacations->appendChild($vacation);
		$dom->save($baseV);
		
		// Добавление лога
		new_log("Добавление заявления №$formID на отпуск: $formUser");
		
		if( $_POST["selectAgreed"] != '' and $_POST["selectUser"] != $_POST["selectAgreed"]) {
			# Отправка уведомления о новом заявлении #
			/*
			$doc = new DOMDocument;
			$doc->load($baseU);
			$xpathc = new DOMXPath($doc);
			$UserEmail = $xpathc->query('/users/user[@login="'. $_POST["selectAgreed"] .'"]')->item(0)->getElementsByTagName("useremail")->item(0)->nodeValue;
			
			$subject 	= "CRM система. Согласование заявления на отпуск";
			$message 	= '
				<h2>Здравствуйте, '. $formAgreed .'!</h2>
				<p>Сотрудник "<b>'. $formUser .'</b>" просит Вас согласовать отпуск.</p>
				<p>Подробная информация доступна по <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/vacations/?id=' . $formID . '" target="_blank">ссылке</a></p>
				<br/>
				<p>CRM система <a href="http://'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/" target="_blank">'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/</a></p>
				<br/>
				<p>Хорошего дня и отличного настроения!</p>
			';
			send_email($UserEmail, "CRM система", $subject, $message);
			*/
			$LetterDescr = 'Уважаемый пользователь!<br/><br/>Сотрудник '.$formUser.' просит Вас согласовать <a href="//'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/vacations/?id=' . $formID . '" target="_blank">отпуск</a>';
			
			send_letter(get_user_id_login($_POST["selectAgreed"]), 'Согласование отпуска', $LetterDescr, 'high', '', '', '', '');
		}

		$notices[] = 'Заявление успешно добавлено';
	}
/* Удаление отпуска */
	if( isset( $_POST['vacationDelete'] ) ) {
		$dom = new DOMDocument; 
		$dom->load($baseV);
		$xpath = new DOMXPath($dom); 

		$id = $_POST["vacationDelId"];

		$vacations = $xpath->query('/vacations/vacation[@id="'.$id.'"]');
		$vacation_user = $xpath->query('/vacations/vacation[@id="'.$id.'"]')->item(0)->getAttribute('user');
		
		$el = $vacations->item(0);
		$el->parentNode->removeChild($el);
		$dom->save($baseV);
		
		send_letter(get_user_id_login($vacation_user), 'Заявление на отпуск удалено', 'Уважаемый пользователь!<br/><br/>Ваше заявление на отпуск удалено', 'high', '', '', '', '');
		
		$notices[] = 'Заявление успешно удалено';
	}
	
/* Подтверждение отпуска */
	if( isset( $_POST['vacationConfirm'] ) ) {
		$dom = new DOMDocument; 
		$dom->load($baseV);
		$xpath = new DOMXPath($dom); 

		$nVacationStatus 	= $xpath->query('/vacations/vacation[@id="'.$_POST["vacationConfirmId"].'"]')->item(0)->setAttribute('status', '+');
		$nVacationAgreed	= $xpath->query('/vacations/vacation[@id="'.$_POST["vacationConfirmId"].'"]')->item(0)->setAttribute('agreed', $LoginCheck);
		$nVacationUser 		= $xpath->query('/vacations/vacation[@id="'.$_POST["vacationConfirmId"].'"]')->item(0)->getAttribute('user');
		$dom->save($baseV);
		
		$LetterDescr = 'Уважаемый пользователь!<br/><br/>Ваше <a href="//'. $_SERVER["SERVER_NAME"] .'/'. $folder . '/vacations/?id=' . $_POST["vacationConfirmId"] . '" target="_blank">заявление на отпуск</a> согласовано';
			
		send_letter(get_user_id_login($nVacationUser), 'Заявление на отпуск согласовано', $LetterDescr, 'high', '', '', '', '');
		
		$notices[] = 'Заявление успешно подтверждено';
	}
?>